{
  "site_fields": [
    { "type": "legend", "label":"基本設定" },
    { "key": "SITE_NAME", "type": "text", "label": "サイト名。ロゴ画像がない場合、こちらが出力されます。", "required": true },
    { "key": "COPYRIGNT", "type": "text", "label": "Copyright", "required": true },
    { "key": "LOGO", "type": "file", "label": "ロゴ画像" },
    { "type": "legend", "label":"色の調整" },
    { "key": "BASE_BG", "type":"color", "label":"テンプレートの背景色", "default":"#FFFFFF" },
    { "key": "BASE_COLOR", "type":"color", "label":"テンプレートの文字色", "default":"#78736F" },
    { "key": "PRIMARY_COLOR", "type":"color", "label":"テンプレートのアクセント色", "default":"#E90505" },
    { "key": "PRIMARY_INVERSE_COLOR", "type":"color", "label":"上のテンプレートのアクセント色の「対」となる色", "default":"#FFFFFF" },
    { "type": "legend", "label":"SNS設定" },
    { "key": "OG_IMAGE", "type": "file", "label": "OG画像（SNS用）" },
    { "key": "X_TWITTER", "type": "text", "label": "X（旧Twitter）のurl。" },
    { "key": "LINE", "type": "text", "label": "Lineのurl。" },
    { "key": "YOUTUBE", "type": "text", "label": "Youtubeのurl。" },
    { "key": "INSTAGRAM", "type": "text", "label": "Instagramのurl。" },
    { "key": "SNS", "type": "checkbox","label": "上のX（旧Twitter）〜Instagramを１つでもやっている場合はチェックします。やっていない場合はチェックを外して下さい。非表示になります。" },
    { "key": "SNS_BG", "type":"color", "label":"SNSの背景色", "default":"#E90505" },
    { "key": "SNS_COLOR", "type":"color", "label":"SNSの文字色", "default":"#FFFFFF" }
  ],
  
  "site_sections": [
    {
      "key": "MAINIMG",
      "label": "スライドショー",
      "fields": [
        { "type": "legend", "label":"１枚目の設定" },
        { "key": "MAINIMG1", "type": "file", "label": "１枚目の画像", "image_max_width": 1920, "image_quality": 82 },
        { "key": "MAINIMG1_TITLE", "type": "text", "label": "１枚目の画像の大きな文字（なくてもOK）" },
        { "key": "MAINIMG1_TEXT", "type": "textarea", "label": "１枚目の画像の小さな文字（なくてもOK）" },
        { "type": "legend", "label":"２枚目の設定" },
        { "key": "MAINIMG2", "type": "file", "label": "２枚目の画像", "image_max_width": 1920, "image_quality": 82 },
        { "key": "MAINIMG2_TITLE", "type": "text", "label": "２枚目の画像の大きな文字（なくてもOK）" },
        { "key": "MAINIMG2_TEXT", "type": "textarea", "label": "２枚目の画像の小さな文字（なくてもOK）" },
        { "type": "legend", "label":"３枚目の設定" },
        { "key": "MAINIMG3", "type": "file", "label": "３枚目の画像", "image_max_width": 1920, "image_quality": 82 },
        { "key": "MAINIMG3_TITLE", "type": "text", "label": "３枚目の画像の大きな文字（なくてもOK）" },
        { "key": "MAINIMG3_TEXT", "type": "textarea", "label": "３枚目の画像の小さな文字（なくてもOK）" }
      ]
    }
  ]
}
